package com.srs.comprehensive.mapper;

import java.util.List;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import com.srs.comprehensive.domain.SrsZxjApply;
import com.srs.comprehensive.domain.Vo.CphSearch;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author srs
 * @date 2024-03-17
 */
public interface SrsZxjApplyMapper extends BaseMapper<SrsZxjApply> {


    public List<SrsZxjApply> listView(CphSearch param);

    public List<SrsZxjApply> listRecordView(CphSearch param);
    int batchUpdate(SrsZxjApply srsZxjApply);

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsZxjApply selectSrsZxjApplyById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<SrsZxjApply> selectSrsZxjApplyList(SrsZxjApply srsZxjApply);

    /**
     * 新增【请填写功能名称】
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 结果
     */
    int insertSrsZxjApply(SrsZxjApply srsZxjApply);

    /**
     * 修改【请填写功能名称】
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 结果
     */
    int updateSrsZxjApply(SrsZxjApply srsZxjApply);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteSrsZxjApplyById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSrsZxjApplyByIds(Long[] ids);

    /**
     * 获取下一个申请
     */
    public SrsZxjApply nextApply(CphSearch param);

    /**
     * 撤回
     */
    int revoke(SrsZxjApply srsZxjApply);


    /**
     * 锁定
     */
    int lock(SrsZxjApply srsZxjApply);

    /**
     * 解锁
     */
    int unlock(SrsZxjApply srsZxjApply);

    /**
     * 学院统计
     * @param param
     * @return
     */
    List<SrsZxjApply> countXw(CphSearch param);

    /**
     * @date 2024年12月16日 09点46分
     * 修改学生、辅导员、二级学院、学校签名
     * @param cphSearch
     * @return
     */
    int updateStuSignature(CphSearch cphSearch);
    int updateFdySignature(CphSearch cphSearch);
    int updateEjxySignature(CphSearch cphSearch);
    int updateScSignature(CphSearch cphSearch);

    /**
     * 仅更新申请理由（sqly）
     */
    int updateSqly(@Param("id") Long id, @Param("sqly") String sqly);
}
